---
- name: "cra-ts-bootstrap"
  version: "0.1"
  description: "Frontend must-have-all-libs projects: react, TS, bootstrap, jest,\
    \ playwright, prettier, docker"
  tags:
  - "frontend"
  - "npm"
  - "typescript"
  - "react"
  - "bootstrap"
  - "docker"
  generator:
    image: "solidify-qa-docker.dspr.deploy-sphere.cloud/quick-app/mustache-cli:latest"
    args:
    - "--exclude=\".*(jar|png|svg|ico)$\""
    - "--exclude=\"\\.git\\/.*$\""
  values:
    schema: "./parameters-schema.json"
    defaults: "./parameters-defaults.yaml"
  validator:
    image: "node:22-alpine"
    args:
    - "--entrypoint sh"
    command: "-c 'npm install && npm run build'"
- name: "ds-jenkins-agent-docker-image"
  version: "1.0.0"
  description: "Skeleton repository for a docker image which can be used as DeploySphere\
    \ Jenkins Agent"
  tags:
  - "jenkins"
  - "docker"
  - "deploysphere"
  generator:
    image: "solidify-qa-docker.dspr.deploy-sphere.cloud/quick-app/mustache-cli:latest"
    args: []
  values:
    schema: "./parameters-schema.json"
    defaults: "./parameters-defaults.yaml"
  validator:
    image: "docker:dind"
    args:
    - "--privileged"
    - "-e \"DOCKER_HOST=unix:///var/run/docker.sock\""
    command: "sh -c \"dockerd & sleep 2 && docker build -t ci/jenkins-agent-docker-image\
      \ . && docker run --rm ci/jenkins-agent-docker-image java -version\""
- name: "ds-nestjs-ts-starter"
  version: "0.1.0"
  description: "NestJs must-have-all-libs projects: nestjs, TS, jest, prettier, docker"
  tags:
  - "api"
  - "frontend"
  - "npm"
  - "typescript"
  - "nestjs"
  - "deploysphere"
  - "docker"
  generator:
    image: "solidify-qa-docker.dspr.deploy-sphere.cloud/quick-app/mustache-cli:latest"
    args:
    - "--exclude=\".*(jar|png|svg|ico)$\""
    - "--exclude=\"\\.git\\/.*$\""
  values:
    schema: "./parameters-schema.json"
    defaults: "./parameters-defaults.yaml"
  validator:
    image: "node:22-alpine"
    args:
    - "--entrypoint sh"
    command: "-c 'npm install && npm run build'"
- name: "picocli-graalvm"
  version: "1.0.0"
  description: "GraalVM enabled picocli app"
  tags:
  - "backend"
  - "maven"
  - "java"
  - "picocli"
  - "graalvm"
  - "native-image"
  - "docker"
  generator:
    image: "solidify-qa-docker.dspr.deploy-sphere.cloud/quick-app/mustache-cli:latest"
    args:
    - "--exclude=.*jar"
  values:
    schema: "./parameters-schema.json"
    defaults: "./parameters-defaults.yaml"
  validator:
    image: "ghcr.io/graalvm/native-image-community:21.0.2-ol9"
    args:
    - "--entrypoint sh"
    command: "./mvnw clean install"
- name: "quickapp-repo-k8s"
  version: "1.0.0"
  description: "Basic nginx+rsyncd combo configured to work as quickapp templates\
    \ repository"
  tags:
  - "kubernetes"
  - "nginx"
  - "rsyncd"
  generator:
    image: "solidify-qa-docker.dspr.deploy-sphere.cloud/quick-app/mustache-cli:latest"
    args:
    - "--exclude=.*jar"
  values:
    schema: "./parameters-schema.json"
    defaults: "./parameters-defaults.yaml"
  validator: null
- name: "springboot2-hex-mvnw"
  version: "1.0"
  description: "Multimodule template for HEXagonal springboot 2 app with REST & JPA"
  tags:
  - "backend"
  - "maven"
  - "java"
  - "springboot"
  - "hexagonal"
  - "multimodule"
  - "deploysphere"
  - "docker"
  - "docker-compose"
  generator:
    image: "solidify-qa-docker.dspr.deploy-sphere.cloud/quick-app/mustache-cli:latest"
    args:
    - "--exclude=.*jar"
  values:
    schema: "./parameters-schema.json"
    defaults: "./parameters-defaults.yaml"
  validator:
    image: "openjdk:17"
    args: null
    command: "./mvnw clean install"
- name: "springboot2-postgresql-mvnw"
  version: "1.0"
  description: "Backend project that uses Maven, Java 8, Spring Boot 2"
  tags:
  - "backend"
  - "maven"
  - "java"
  - "springboot"
  - "deploysphere"
  - "postgresql"
  - "docker"
  - "docker-compose"
  generator:
    image: "solidify-qa-docker.dspr.deploy-sphere.cloud/quick-app/mustache-cli:latest"
    args:
    - "--exclude=.*jar"
  values:
    schema: "./parameters-schema.json"
    defaults: "./parameters-defaults.yaml"
  validator:
    image: "openjdk:17"
    args: null
    command: "./mvnw clean install"
- name: "springboot3-postgres-rabbitmq-mvnw"
  version: "1.0"
  description: "Backend project that uses Maven, Java 21, Spring Boot 3, PostgreSQL,\
    \ RabbitMQ, guava, OpenAPI"
  tags:
  - "backend"
  - "maven"
  - "java"
  - "springboot"
  - "deploysphere"
  - "postgresql"
  - "rabbitmq"
  - "docker"
  - "docker-compose"
  generator:
    image: "solidify-qa-docker.dspr.deploy-sphere.cloud/quick-app/mustache-cli:latest"
    args:
    - "--exclude=.*jar"
  values:
    schema: "./parameters-schema.json"
    defaults: "./parameters-defaults.yaml"
  validator:
    image: "openjdk:21"
    args: null
    command: "./mvnw clean install"
